Please support VectorLinux!

Author Topic: Google-Earth?!  (Read 8565 times)

Ben1000

  • Member
  • *
  • Posts: 9
Google-Earth?!
« on: June 04, 2007, 02:22:16 am »
Does anyone of you have experiences with Googleearth on VL? I tried to install and the insallskript ran through, but if I run the program it shows me a permission denied. I also tried to run or even install it as root with the same Problem. The run skripts are executabel. Now I even can't uninstall it!

Code: [Select]
vector://home/benjamin/data/programme/googleearth/google-earth
root:# googleearth
bash: /usr/local/bin/googleearth: Permission denied
vector://home/benjamin/data/programme/googleearth/google-earth
root:# sh ./uninstall
Product: Google Earth
Installed in /home/benjamin/data/programme/googleearth/google-earth
sh: /home/benjamin/data/programme/googleearth/google-earth/.manifest/scripts/preun.sh: Permission denied
An error occured during the uninstallation process.
vector://home/benjamin/data/programme/googleearth/google-earth
root:#

The content of google-earth:
Code: [Select]
vector://home/benjamin/data/programme/googleearth/google-earth
root:# ls
EULA-GoogleEarth-en.html    libIGUtils.so       liblayer.so
ImporterGlobalSettings.ini  libalchemyext.so    libmath.so
ImporterUISettings.ini      libauth.so          libmeasure.so
PCOptimizations.ini         libbase.so          libmng.so.1
drivers.ini                 libbasicIngest.so   libnavigate.so
googleearth                 libcollada.so       libnet.so
googleearth-bin             libcommon.so        libpng12.so.0
googleearth-icon.png        libcomponent.so     libqt-mt.so.3
googleearth.xpm             libcrypto.so.0.9.8  libqui.so.1
kvw/                        libcurl.so.3        librender.so
lang/                       libevll.so          libssl.so.0.9.8
libGLU.so.1                 libevllpro.so       libstdc++.so.6
libIGAttrs.so               libframework.so     libtiff.so.3
libIGCollision.so           libfreeimage.so.3   libtweak.so
libIGCore.so                libfusion.so        libwebbrowser.so
libIGDisplay.so             libgcc_s.so.1       libwmsbase.so
libIGExportCommon.so        libgeobase.so       libz.so.1
libIGGfx.so                 libgoogleearth.so   linux/
libIGGui.so                 libgooglesearch.so  res/
libIGMath.so                libgps.so           resources/
libIGOpt.so                 libinput_plugin.so  uninstall
libIGSg.so                  libjpeg.so.62       xml/
vector://home/benjamin/data/programme/googleearth/google-earth
root:#

Can you help me?

The Headacher

  • Louder than you
  • Global Moderator
  • Vectorian
  • *****
  • Posts: 1553
  • I like the bass to go BOOM!
    • Multimedia on VL (work in progress)
Re: Google-Earth?!
« Reply #1 on: June 04, 2007, 02:29:10 am »
I never tried installing Google Earth, i always just use http://www.flashearth.com/
Most music on my soundcloud page was arranged in programs running on VL.

nightflier

  • Administrator
  • Vectorian
  • *****
  • Posts: 4072
Re: Google-Earth?!
« Reply #2 on: June 04, 2007, 04:20:55 am »
Mine works great. I installed it as root, and accepted the defaults (/opt/google-earth). Looks like you used a different approach.

Try just deleting the /home/benjamin/data/programme/googleearth/ and /home/benjamin/.googleearth directories, then run the installer again as root.

flashearth.com is a great site, but I view it as a companion to, not a replacement for, Google Earth.

Joe1962

  • Administrator
  • Vectorian
  • *****
  • Posts: 2499
    • Joe1962's Website
Re: Google-Earth?!
« Reply #3 on: June 04, 2007, 06:42:24 am »
I've used a couple of releases, no probs. Don't have one at the moment though.
O'Neill (RE the Asgard): "Usually they ask nicely before they ignore us and do what they damn well please."
http://joe1962.bigbox.info
Running: VL 7 Std 64 + self-cooked XFCE-4.10

Dweeberkitty

  • Packager
  • Vectorian
  • ****
  • Posts: 836
    • Multimedia Bonus Disc
Re: Google-Earth?!
« Reply #4 on: June 04, 2007, 03:56:11 pm »
Google Earth has always worked great for me on VL. I just install it as root and use the defaults.
Registered Linux User #443399
Desktop: Intel Pentium D 3.33Ghz, 320GB hard drive, 2 gigs DDR2 533mhz RAM, NVIDIA Geforce 7800 GS, X2GEN 22" widescreen monitor;
Laptop: Dell Mini 9, Intel Atom 1.6Ghz, 1GB ram
Multimedia Bonus Disc website: http://www.vectorlinuxsolutions.com/

GoingDown

  • Member
  • *
  • Posts: 21
Re: Google-Earth?!
« Reply #5 on: June 05, 2007, 04:02:52 am »
I installed GoogleEarth into 5.8 SOHO using the package in http://www.linuxpackages.net and all works fine - it also adds a menu item.

Download the latest version and run from root: installpkg <google earth package name>

Good luck!
VL 5.8 SOHO

Ben1000

  • Member
  • *
  • Posts: 9
Re: Google-Earth?!
« Reply #6 on: June 05, 2007, 04:39:27 am »
All right, thanks for your posts! I will try that. Does the installer copy any files otherwhere than in the install folder? The uninstall script doesn't work, so can I just delete the install folder?

nightflier

  • Administrator
  • Vectorian
  • *****
  • Posts: 4072
Re: Google-Earth?!
« Reply #7 on: June 05, 2007, 05:02:20 am »
Yes, delete the install folder and start over.

carsten

  • Vectorite
  • ***
  • Posts: 137
  • I know why birds sing ...
Re: Google-Earth?!
« Reply #8 on: July 31, 2007, 12:59:53 am »
@ Lucky people with Google Earth runing

Would you mind to tell which graphiccards and drivers you are using?

I have a Nvidia GeForce FX 5200 (128MB Ram), resolution on 1280x1024, with the latest driver (100.14.11) installed. Network connection by DSL-6000. Google Earth crashes every time I try to go to a location. Even when its starting I have frequent yellow lines light lightnings over the screen.
It is in a box with 1GB Ram and Athlon XP2200+

Carsten
Tam exacte ut oportet, non ut licet!

retired1af

  • Packager
  • Vectorian
  • ****
  • Posts: 1280
Re: Google-Earth?!
« Reply #9 on: July 31, 2007, 02:42:47 am »
Using a nVidia 6800 with the latest drivers here and Google Earth works just fine. :)
ASUS K73 Intel i3 Dual Core 2.3GHz

carsten

  • Vectorite
  • ***
  • Posts: 137
  • I know why birds sing ...
Re: Google-Earth?!
« Reply #10 on: July 31, 2007, 12:54:39 pm »
I just tried a GeForce FX6200 with even worse effects  >:(
Tam exacte ut oportet, non ut licet!

GoingDown

  • Member
  • *
  • Posts: 21
Re: Google-Earth?!
« Reply #11 on: August 02, 2007, 02:48:55 am »
I have had it running on 2 configurations fine:
1) Biostar GF 6100-M7 MB with onboard nvidia GF6100 gpu and 512MB RAM.
2) Asus M2NPV-VM MB with onboard nvidia GF6150 gpu and 2GB RAM.
VL 5.8 SOHO

retired1af

  • Packager
  • Vectorian
  • ****
  • Posts: 1280
Re: Google-Earth?!
« Reply #12 on: August 23, 2007, 04:01:05 am »
There's a new version out now that also includes the stars, planets and constellations. Just installed the binary from Google's site and I have just one thing to say about it.


WOW!!!!!!
ASUS K73 Intel i3 Dual Core 2.3GHz

nightflier

  • Administrator
  • Vectorian
  • *****
  • Posts: 4072
Re: Google-Earth?!
« Reply #13 on: September 03, 2007, 03:09:10 pm »
Hey, it has a flight simulator too! Ctrl-Alt-a

Runs slower than older version, but acceptable on GF6200.

Colonel Panic

  • Vectorian
  • ****
  • Posts: 526
Re: Google-Earth?!
« Reply #14 on: December 31, 2007, 10:53:16 am »

The new binary version keeps crashing on my machine for some reason :( I'm going to try the older version (for Slackware 11) from Linux Packages and see if that one works instead.